# Credit Memos Credit memos reduce invoice and account balances. By applying one or more credit memos to invoices with positive balances, you can reduce the invoice balances in the same way that applying a payment to an invoice. For more information about credit memos, see Credit and debit memos. ## List credit memos - [GET /v1/credit-memos](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemos.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about all credit memos. For a use case of this operation, see Get credit memo. ### Filtering You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body. If the value of a filterable field is string, you can set the corresponding query parameter to null when filtering. Then, you can get the response data with this field value being null. Examples: - /v1/credit-memos?status=Posted - /v1/credit-memos?referredInvoiceId=null&status=Draft - /v1/credit-memos?status=Posted&type=External&sort=+number ## Create a credit memo from a charge - [POST /v1/credit-memos](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_creditmemofromprpc.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Creates an ad-hoc credit memo from a product rate plan charge. Zuora supports the creation of credit memos from any type of product rate plan charge. The charges can also have any amount and any charge model, except for discout charge models. When credit memos are created from product rate plan charges, the specified amount with decimal places is now validated based on the decimal places supported by each currency. You can create a credit memo only if you have the user permission. See Billing Roles for more information. ## Create credit memos - [POST /v1/credit-memos/bulk](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_createcreditmemos.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Creates multiple credit memos from invoices or product rate plan charges. You can create a maximum of 50 credit memos in one single request. - If you set the sourceType request field to Invoice, you can create multiple credit memos from invoices. - If you set the sourceType request field to Standalone, you can create multiple credit memos from product rate plan charges. The credit memos that are created are each in separate database transactions. If the creation of one credit memo fails, other credit memos can still be created successfully. You can create credit memos only if you have the user permission. See Billing Roles for more information. Zero-amount memo items are supported in the following scenarios: - If you want to correct taxation items only for an invoice, you can set the memo item amount to zero, but the taxation item amount to non-zero. - If you want to correct personal data in an invoice, you can set the memo item amount to zero to create a zero-amount credit memo from an invoice. ## Update credit memos - [PUT /v1/credit-memos/bulk](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_updatecreditmemos.md): Notes: - This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. - You can update credit memos only if you have the user permission. See Billing Roles for more information. Updates the basic and finance information about multiple credit memos. You can update a maximum of 50 credit memos in one single request. Currently, Zuora supports updating tax-exclusive memo items, but does not support updating tax-inclusive memo items. If the amount of a memo item is updated, the tax will be recalculated in the following conditions: - The memo is created from a product rate plan charge and you use Avalara to calculate the tax. - The memo is created from an invoice and you use Avalara or Zuora Tax to calculate the tax. The Edit credit and debit memos tutorial demonstrates how to use this operation to add and delete memo items. The credit memos that are updated are each in separate database transactions. If the update of one credit memo fails, other credit memos can still be updated successfully. ## Retrieve the PDF file generation status of credit memos - [GET /v1/credit-memos/pdf-status](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemopdfstatus.md): Retrieves the PDF generation statuses of a batch of credit memos. ## List all taxation items of a credit memo item - [GET /v1/credit-memos/{creditMemoId}/items/{cmitemid}/taxation-items](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_taxationitemsofcreditmemoitem.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves information about the taxation items of a specific credit memo item. ## Write off a credit memo - [PUT /v1/credit-memos/{creditMemoId}/write-off](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_writeoffcreditmemo.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Write off a fully unapplied credit memo. When writing off a credit memo, a debit memo is automatically created, and then the credit memo to be written off is fully applied to the debit memo. Note that this operation only supports writing off credit memos that are fully unapplied. Credit memos that are not fully unapplied cannot be written off by this operation. ## Delete a credit memo - [DELETE /v1/credit-memos/{creditMemoKey}](https://developer.zuora.com/v1-api-reference/api/credit-memos/delete_creditmemo.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Deletes a credit memo. Only credit memos with the Cancelled status can be deleted. You can delete a credit memo only if you have the user permission. See Billing Roles for more information. ## Retrieve a credit memo - [GET /v1/credit-memos/{creditMemoKey}](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemo.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about a specific credit memo. For a use case of this operation, see Get credit memo. ## Update a credit memo - [PUT /v1/credit-memos/{creditMemoKey}](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_updatecreditmemo.md): Notes: - This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. - You can update a credit memo only if you have the user permission. See Billing Roles for more information. Updates the basic and finance information about a credit memo. Currently, Zuora supports updating tax-exclusive memo items, but does not support updating tax-inclusive memo items. If the amount of a memo item is updated, the tax will be recalculated in the following conditions: - The memo is created from a product rate plan charge and you use Avalara to calculate the tax. - The memo is created from an invoice and you use Avalara or Zuora Tax to calculate the tax. The Edit credit and debit memos tutorial demonstrates how to use this operation to add and delete memo items. ## Apply a credit memo - [PUT /v1/credit-memos/{creditMemoKey}/apply](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_applycreditmemo.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Applies a posted credit memo to one or more invoices and debit memos. You can apply a credit memo to an invoice or a debit memo only if you have the user permission. See Billing Roles for more information. When you apply a credit memo, the total number of credit memo items and the items that credit memo items to be applied to must be less than or equal to 15,000. If the limit is hit, you can follow the following instructions: - If you want to apply one credit memo to multiple invoices or debit memos, decrease the number of invoices or debit memos in the request. - If you want to apply one credit memo to a single invoice or debit memo with a large volume of items, you have to specify invoice items or debit memo items in the request. The maximum number of invoice items or debit memo items that you can specify in the request is 1,000. - If a credit memo has a large volume of items, you have to specify credit memo items in the request. The maximum number of credit memo items that you can specify in the request is 1,000. If the Proration application rule is used, when applying credit memos, the following quantity must be less than or equal to 10,000: (number of invoice items + number of debit memo items) * number of credit memo items Otherwise, the First In First Out rule will be used instead of the Proration rule. ## Cancel a credit memo - [PUT /v1/credit-memos/{creditMemoKey}/cancel](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_cancelcreditmemo.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Cancels a credit memo. Only credit memos with the Draft status can be cancelled. You can cancel a credit memo only if you have the user permission. See Billing Roles for more information. ## Email a credit memo - [POST /v1/credit-memos/{creditMemoKey}/emails](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_emailcreditmemo.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Sends a posted credit memo to the specified email addresses manually. ### Notes - You must activate the Email Credit Memo | Manually email Credit Memo notification before emailing credit memos. To include the credit memo PDF in the email, select the Include Credit Memo PDF check box in the Edit notification dialog from the Zuora UI. See Create and Edit Notifications for more information. - Zuora sends the email messages based on the email template you set. You can set the email template to use in the Delivery Options panel of the Edit notification dialog from the Zuora UI. By default, the Manual Email for Credit Memo Default Template template is used. See Create and Edit Email Templates for more information. - The credit memos are sent only to the work email addresses or personal email addresses of the Bill To contact if the following conditions are all met: * The useEmailTemplateSetting field is set to false. * The email addresses are not specified in the emailAddresses field. ## Upload a file for a credit memo - [POST /v1/credit-memos/{creditMemoKey}/files](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_uploadfileforcreditmemo.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Uploads an externally generated PDF file for a credit memo that is in Draft or Posted status. To use this operation, you must enable the Modify Modify Credit Memo permission. See Billing Permissions for more information. This operation has the following restrictions: - Only the PDF file format is supported. - The maximum size of the PDF file to upload is 4 MB. - A maximum of 50 PDF files can be uploaded for one credit memo. ## List all files of a credit memo - [GET /v1/credit-memos/{creditMemoKey}/files](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemofiles.md): Retrieves the information about all PDF files of a specified credit memo. Credit Memo PDF files are returned in reverse chronological order by the value of the versionNumber field. Note: This API only retrieves the PDF files that have been generated. If the latest PDF file is being generated, it will not be included in the response. ## List credit memo items - [GET /v1/credit-memos/{creditMemoKey}/items](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemoitems.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about all items of a credit memo. A credit memo item is a single line item in a credit memo. ### Filtering You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body. If the value of a filterable field is string, you can set the corresponding query parameter to null when filtering. Then, you can get the response data with this field value being null. Examples: - /v1/credit-memos/402890245c7ca371015c7cb40ac30015/items?amount=100 - /v1/credit-memos/402890245c7ca371015c7cb40ac30015/items?amount=100&sort=createdDate ## Retrieve a credit memo item - [GET /v1/credit-memos/{creditMemoKey}/items/{cmitemid}](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemoitem.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about a specific item of a credit memo. A credit memo item is a single line item in a credit memo. ## List all parts of a credit memo - [GET /v1/credit-memos/{creditMemoKey}/parts](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemoparts.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about all parts of a credit memo. A credit memo can consist of an unapplied part, and several parts applied to invoices and debit memos. You can use this operation to get all the applied and unapplied portions of a credit memo. Note that a fully refunded credit memo does not contain any credit memo part. ## Retrieve a credit memo part - [GET /v1/credit-memos/{creditMemoKey}/parts/{partid}](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemopart.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about a specific credit memo part. A credit memo can consist of an unapplied part, and several parts applied to invoices and debit memos. A fully refunded credit memo does not contain any credit memo part. ## Generate a credit memo PDF file - [POST /v1/credit-memos/{creditMemoKey}/pdfs](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_creditmemopdf.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Creates a PDF file for a specified credit memo. To access the generated PDF file, you can download it by clicking View PDF on the detailed credit memo page through the Zuora UI. This REST API operation can be used only if you have the billing document file generation feature and the Billing user permission "Regenerate PDF" enabled. ## Post a credit memo - [PUT /v1/credit-memos/{creditMemoKey}/post](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_postcreditmemo.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Posts a credit memo to activate it. You can post credit memos only if you have the Billing permissions. ## Refund a credit memo - [POST /v1/credit-memos/{creditMemoKey}/refund](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_refundcreditmemo.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Refunds a full or partial posted credit memo to your customers. Only the amount of unapplied part could be refunded. You can refund a credit memo only if you have the user permission. See Billing Roles for more information. When you refund a credit memo, the total number of credit memo items to be refunded must be less than or equal to 15,000. For a use case of this operation, see Refund processing. ## Reverse a credit memo - [PUT /v1/credit-memos/{creditMemoKey}/reverse](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_reversecreditmemo.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Reverses a posted credit memo. See Reverse credit memos for more information. You can reverse a credit memo only if you have the user permission. See Billing Roles for more information. Restrictions You cannot reverse credit memos if any of the following conditions is met: * A credit memo's applied amount is not 0. * A credit memo is not in Posted status. * A credit memo contains more than 2,000 items in total, including credit memo items, discount items, and taxation items. ## Create taxation items for a credit memo - [POST /v1/credit-memos/{creditMemoKey}/taxation-items](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_cm_taxationitems.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Creates taxation items for a credit memo. ## Unapply a credit memo - [PUT /v1/credit-memos/{creditMemoKey}/unapply](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_unapplycreditmemo.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Unapplies an applied credit memo from one or more invoices and debit memos. The full applied amount from invoices and debit memos is transferred into the unapplied amount of the credit memo. You can unapply a credit memo from an invoice or a debit memo only if you have the user permission. See Billing Roles for more information. When you unapply a credit memo, the total number of credit memo items and the items that credit memo items to be unapplied from must be less than or equal to 15,000. If the limit is hit, you can follow the following instructions: - If you want to unapply one credit memo without specifying invoices or debit memos and the limit is hit, you have to specify the invoice items or debit memo items in the request to decrease the number of items. - If you want to unapply one credit memo from multiple specified invoices or debit memos, decrease the number of invoices or debit memos in the request. - If you want to unapply one credit memo from a single invoice or debit memo with a large volume of items, you have to specify invoice items or debit memo items in the request. The maximum number of invoice items or debit memo items that you can specify in the request is 1,000. - If a credit memo has a large volume of items, you have to specify credit memo items in the request. The maximum number of credit memo items that you can specify in the request is 1,000. - When unapplying a credit memo, the total number of the credit memo's item parts must be less than or equal to 1,000. Otherwise, the operation would fail and an error message would pop up. When you see this error, you can try using the Unapply a credit memo API as an alternative. Similarly, make sure that all the requirements listed in the API reference are met. ## Unpost a credit memo - [PUT /v1/credit-memos/{creditMemoKey}/unpost](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_unpostcreditmemo.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Unposts a credit memo that is in Posted status. If a credit memo has been applied or refunded, you are not allowed to unpost it. After a credit memo is unposted, its status becomes Draft. You can unpost credit memos only if you have the Billing permissions. You can prevent an unpost operation by configuring the 'Do not allow unposting invoices and memos if their revenue is already recognized in a closed accounting period' accounting rule. The default value of this rule is set to 'disabled.' For more information, see Configure Accounting Rules. ## Create a credit memo from an invoice - [POST /v1/credit-memos/invoice/{invoiceKey}](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_creditmemofrominvoice.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Creates an ad-hoc credit memo from an invoice. You can create a credit memo from an invoice only if you have the user permission. See Billing Roles for more information. For a use case of this operation, see Create credit memo. Zero-amount memo items are supported in the following scenarios: - If you want to correct taxation items only for an invoice, you can set the memo item amount to zero, but the taxation item amount to non-zero. - If you want to correct personal data in an invoice, you can set the memo item amount to zero to create a zero-amount credit memo from an invoice. ## Retrieve an async unapply credit memo job by ID - [GET /v1/credit-memos/unapply-async-jobs/{unapplyAsyncJobId}](https://developer.zuora.com/v1-api-reference/api/credit-memos/getunapplycreditmemoasyncjob.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves information about a specific Async Credit Memo Unapply job. ## Retrieve an async unapply credit memo job by ID - [GET /v1/credit-memos/apply-async-jobs/{applyAsyncJobId}](https://developer.zuora.com/v1-api-reference/api/credit-memos/getapplycreditmemoasyncjob.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves information about a specific Async Credit Memo Apply job. ## Apply a credit memo aysnchronously - [PUT /v1/credit-memos/{creditMemoKey}/apply-async](https://developer.zuora.com/v1-api-reference/api/credit-memos/applycreditmemoasync.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Asynchronously applies a posted credit memo to one or more invoices You can apply a credit memo to an invoice only if you have the user permission. See Billing Roles for more information. When you apply a credit memo, the total number of credit memo items and the items that credit memo items to be applied to must be less than or equal to 300,000. The maximum number of invoices that you can specify in the request is 1,000 If the Proration application rule is used, when applying credit memos, the following quantity must be less than or equal to 10,000: (number of invoice items) * number of credit memo items Otherwise, the First In First Out rule will be used instead of the Proration rule. ## Unapply a credit memo asynchronously - [PUT /v1/credit-memos/{creditMemoKey}/unapply-async](https://developer.zuora.com/v1-api-reference/api/credit-memos/unapplycreditmemoasync.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Asynchronously Unapplies an applied credit memo from one or more invoices. The full applied amount from invoices is transferred into the unapplied amount of the credit memo. You can unapply a credit memo from an invoice only if you have the user permission. See Billing Roles When you unapply a credit memo, the total number of credit memo items and the items that credit memo items to be unapplied from must be less than or equal to 300,000. The maximum number of invoices that you can specify in the request is 1,000